Bug 809288 - Bugs found in python-adns-1.2.1-9.fc17 using gcc-with-cpychecker static analyzer
Bugs found in python-adns-1.2.1-9.fc17 using gcc-with-cpychecker static analyzer
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: python-adns (Show other bugs)
19
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Tomáš Hozza
Fedora Extras Quality Assurance
http://fedorapeople.org/~dmalcolm/gcc...
:
Depends On:
Blocks: cpychecker
  Show dependency treegraph
 
Reported: 2012-04-02 20:44 EDT by Dave Malcolm
Modified: 2013-08-14 09:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-14 09:41:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2012-04-02 20:44:43 EDT
Description of problem:
I've been writing an experimental static analysis tool to detect bugs commonly occurring within C Python extension modules:
  https://fedorahosted.org/gcc-python-plugin/
  http://gcc-python-plugin.readthedocs.org/en/latest/cpychecker.html
  http://fedoraproject.org/wiki/Features/StaticAnalysisOfPythonRefcounts

I ran the latest version of the tool (in git master; post 0.9) on
python-adns-1.2.1-9.fc17.src.rpm, and it reports various errors.

You can see a list of errors here, triaged into categories (from most significant to least significant):
http://fedorapeople.org/~dmalcolm/gcc-python-plugin/2012-04-02/python-adns-1.2.1-9.fc17/

I've manually reviewed the issues reported by the tool.

Within the category "Reference leaks" the 4 issues reported appear be inconsequential.

Within the category "Reference leak within initialization" the 1 issue reported appears to be inconsequential.

Within the category "Segfaults within error-handling paths" the 7 issues reported appear to be genuine crashers due to lack of error-handling, though without context I can't see if those calls can fail.

Within the category "Possible reference leaks" the 7 issues reported look like they could be leaks (though without context I can't be sure)

Within the category "Returning (PyObject*)NULL without setting an exception" I'm not sure if the 2 issues reported are bugs or not, or if the checker is being buggy.

There may of course be other bugs in my checker tool.

Hope this is helpful; let me know if you need help reading the logs that the tool generates - I know that it could use some improvement.

Version-Release number of selected component (if applicable):
python-adns-1.2.1-9.fc17
gcc-python-plugin post-0.9 git d578ee0e46d93647d0f94502784f890c38139d60 running the checker in an *f16* chroot
Comment 1 Fedora End Of Life 2013-04-03 09:46:37 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Fedora Admin XMLRPC Client 2013-04-25 07:50:31 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Tomáš Hozza 2013-08-14 09:41:06 EDT
I filled a Bug in upstream issue tracker:
http://code.google.com/p/adns-python/issues/detail?id=13

closing as UPSTREAM

Note You need to log in before you can comment on or make changes to this bug.